;******************************* STERIA **************************************
; Fichier : $Id: pri-start.el,v 1.8 2000/10/27 13:58:38 clb Exp $
;
; (C) 2000 STERIA
;
; Description : lancement d'EMACSPRI
;               
; Auteur(s) :  clb
;
; Historique : $Log: pri-start.el,v $
; Historique : Revision 1.8  2000/10/27 13:58:38  clb
; Historique : Possibilite de tuer le buffer des hypotheses.
; Historique : Variable customizable pri-hypothesis-buffer-p.
; Historique :
; Revision 1.7  2000/10/27  10:36:35  clb
; Le buffer *scratch* n'est plus en mode PRI.
; Correction des C-x C-c et File->Exit Emacs.
;
; Historique : Revision 1.6  2000/10/24 13:23:35  clb
; Historique : correction de la valeur de PRI-PROCESS en version 3.6 de l'AtelierB.
; Historique :
; Historique : Revision 1.5  2000/10/12 13:51:55  clb
; Historique : Suppression de la fenetre global situation :
; Historique : les infos se retrouvent dans la ligne de mode (modeline).
; Historique :
; Revision 1.4  2000/10/09  14:59:41  clb
; Changement des chemins : l'interface s'installe dans le repertoire emacs
; de l'utilisateur. Mise a jour du README.
;
; Revision 1.3  2000/10/03  12:46:09  clb
; Ajout des tampons de liste des projets et des composants.
; Ils permettent a l'utilisateur de choisir plus facilement
; le projet et le composant voulu.
;
; Revision 1.2  2000/10/02  13:23:31  clb
; Suppression de la fenetre terminal.
; C'est le minibuffer qui sert de terminal.
; Revue des autoloads suite a la compilation de tous les fichiers.
; La seule fenetre au debut est la fenetre Log.
; Correction de pri-version qui etait defini deux fois differements.
; Ajout du fichier pri-traces.el
;
; Revision 1.1  2000/09/22  14:03:53  clb
; modification du nom de pri-start en pri-start.el : sinon cvs ajoute des # au
; lieu de ;
;
; Revision 1.2  2000/09/22  13:50:17  clb
; Gestion des fenetres : retrecissement des fenetres de gauches.
;
; Revision 1.1  2000/09/22  13:17:09  clb
; nouveaux scripts de lancements
;
; Historique : Revision 1.3  2000/09/22 12:28:36  clb
; Historique : nouvelle organisation des fenetres.
; Historique :
; Revision 1.2  2000/06/30  09:37:47  clb
; ajout des entetes de fichiers
;
;
;*****************************************************************************
;;EMACS-PRI
;;(setq load-path (delete "/usr/share/xemacs21/xemacs-packages/lisp/x-symbol/"  load-path))
;;(setq load-path (delete "/usr/share/xemacs21/site-lisp/x-symbol/"  load-path))
(setq load-path (cons  pri-balbulette-dir  load-path))
(setq load-path (cons (concat  pri-balbulette-dir "/x-symbol/lisp/")  load-path))
(setq load-path (cons (concat  pri-balbulette-dir "/x-symbol/etc/")  load-path))
(load "pri-version.el")
(load "pri-po-state.el")
(load "pri-projects-list.el")
(load "x-symbol.el")

;;(load "x-symbol-B.elc")
;;(load (concat  pri-balbulette-dir "/x-symbol/lisp/x-symbol.el"))
;;(load (concat  pri-balbulette-dir "/x-symbol/lisp/x-symbol-hooks.el"))
;;(load (concat  pri-balbulette-dir "/x-symbol/lisp/x-symbol-vars.el"))
(load "pri-terminal.el")
(load "pri-hypotheses-list.el")

(autoload 'pri-start (concat pri-balbulette-dir "/pri-main") nil t)
(pri-start)
