;******************************* STERIA **************************************
; Fichier : $Id: pri-traces.el,v 1.3 2000/11/09 15:09:10 clb Exp $
;
; (C) 2000 STERIA
;
; Description : Gestion des traces utilisees pour le developpement
;               et le debug de EMACSPRI
;               
; Auteur(s) :  clb
;
; Historique : $Log: pri-traces.el,v $
; Historique : Revision 1.3  2000/11/09 15:09:10  clb
; Historique : Version livrable.
; Historique :
; Historique : Revision 1.2  2000/11/03 13:54:13  clb
; Historique : Nouveau Menu PRI : item Customize, Save, About Emacspri, Exit.
; Historique :
; Historique : Revision 1.1  2000/10/02 13:23:33  clb
; Historique : Suppression de la fenetre terminal.
; Historique : C'est le minibuffer qui sert de terminal.
; Historique : Revue des autoloads suite a la compilation de tous les fichiers.
; Historique : La seule fenetre au debut est la fenetre Log.
; Historique : Correction de pri-version qui etait defini deux fois differements.
; Historique : Ajout du fichier pri-traces.el
; Historique :
;
;*****************************************************************************/

;;; ----------------------------------------------------------------
;;; Traces EMACSPRI
;;; ----------------------------------------------------------------
(defcustom pri-trace-p nil
"*Non-nil means use trace in the *scratch* buffer."
  :type 'boolean
  :group 'pri)

(defun pri-trace (string)
  "Imprime unetrace dans le buffer scratch si trace-p est a true."
  (if pri-trace-p
      (let ((old-buffer (current-buffer)))
	(if (get-buffer "*scratch*")
	    ;;(save-excursion
	      (set-buffer "*scratch*"))
	  (goto-char (point-max))
	  (insert string)
	  (or (bobp) (newline))
	(set-buffer old-buffer)))
)
